package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbReportRelationship;
import com.ruoyi.system.domain.zb.ZbReportRelationshipExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbReportRelationshipMapper {
    long countByExample(ZbReportRelationshipExample example);

    int deleteByExample(ZbReportRelationshipExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbReportRelationship record);

    int insertSelective(ZbReportRelationship record);

    List<ZbReportRelationship> selectByExample(ZbReportRelationshipExample example);

    ZbReportRelationship selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbReportRelationship record, @Param("example") ZbReportRelationshipExample example);

    int updateByExample(@Param("record") ZbReportRelationship record, @Param("example") ZbReportRelationshipExample example);

    int updateByPrimaryKeySelective(ZbReportRelationship record);

    int updateByPrimaryKey(ZbReportRelationship record);
}